org.eclipse.cdt.utils.debug

## Interface IDebugEntryRequestor

All Known Implementing Classes:
  DebugDump, DebugSymsRequestor

    public interface IDebugEntryRequestor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `acceptCaughtException(String name, DebugType type, long address)` Caught Exception.
`void` `acceptFloatConst(String name, double value)` floating point constant.
`void` `acceptIntegerConst(String name, int value)` Integer constant.
`void` `acceptParameter(String name, DebugType type, DebugParameterKind kind, long offset)` Accept a parameter for the current function.
`void` `acceptStatement(int line, long address)` Statement in the compilation unit with a given address.
`void` `acceptTypeConst(String name, DebugType type, int value)` Type constant: "const b = 0", b is a type enum.
`void` `acceptTypeDef(String name, DebugType type)` Type definition.
`void` `acceptVariable(String name, DebugType type, DebugVariableKind kind, long address)` Record a variable.
`void` `enterCodeBlock(long offset)` Enter a code block in a function.
`void` `enterCompilationUnit(String name, long address)` Entering a compilation unit.
`void` `enterFunction(String name, DebugType type, boolean isGlobal, long address)` Enter a function.
`void` `enterInclude(String name)` Entering new include file in a compilation unit.
`void` `exitCodeBlock(long offset)` Exit of the current code block.
`void` `exitCompilationUnit(long address)` Exit the current compilation unit.
`void` `exitFunction(long address)` Exit the current function.
`void` `exitInclude()` Exit the current include file.

### Method Detail

#### enterCompilationUnit

    void enterCompilationUnit(String name,
                              long address)

Entering a compilation unit.

Parameters:
  `name` -
  `address` - start of address of the cu.

#### exitCompilationUnit

    void exitCompilationUnit(long address)

Exit the current compilation unit.

Parameters:
  `address` - end of compilation unit.

#### enterInclude

    void enterInclude(String name)

Entering new include file in a compilation unit.

Parameters:
  `name` -

#### exitInclude

    void exitInclude()

Exit the current include file.

#### enterFunction

    void enterFunction(String name,
                       DebugType type,
                       boolean isGlobal,
                       long address)

Enter a function.

Parameters:
  `name` - of the function/method
  `type` - type of the return value.
  `isGlobal` - return the visiblity of the function.
  `address` - the start address of the function.

#### exitFunction

    void exitFunction(long address)

Exit the current function.

Parameters:
  `address` - the address where the function ends.

#### enterCodeBlock

    void enterCodeBlock(long offset)

Enter a code block in a function.

Parameters:
  `offset` - address of the block starts relative to the current function.

#### exitCodeBlock

    void exitCodeBlock(long offset)

Exit of the current code block.

Parameters:
  `offset` - the address of which the blocks ends relative to the current function.

#### acceptStatement

    void acceptStatement(int line,
                         long address)

Statement in the compilation unit with a given address.

Parameters:
  `line` - lineno of the statement relative to the current compilation unit.
  `address` - address of the statement relative to the current function.

#### acceptIntegerConst

    void acceptIntegerConst(String name,
                            int value)

Integer constant.

#### acceptFloatConst

    void acceptFloatConst(String name,
                          double value)

floating point constant.

#### acceptTypeConst

    void acceptTypeConst(String name,
                         DebugType type,
                         int value)

Type constant: "const b = 0", b is a type enum.

#### acceptCaughtException

    void acceptCaughtException(String name,
                               DebugType type,
                               long address)

Caught Exception.

#### acceptParameter

    void acceptParameter(String name,
                         DebugType type,
                         DebugParameterKind kind,
                         long offset)

Accept a parameter for the current function.

Parameters:
  `name` - of the parameter
  `type` - of the parameter
  `kind` - of the parameter
  `offset` - address of the parameter relative to the current function.

#### acceptVariable

    void acceptVariable(String name,
                        DebugType type,
                        DebugVariableKind kind,
                        long address)

Record a variable.

#### acceptTypeDef

    void acceptTypeDef(String name,
                       DebugType type)

Type definition. IDebugEntryRequestor

Parameters:
  `name` - new name
  `type` -